Bug 1167480 - SSH_ASKPASS not set with plasma-5
Summary: SSH_ASKPASS not set with plasma-5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ksshaskpass
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-11-24 21:34 UTC by Orion Poplawski
Modified: 2015-10-07 20:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 18:40:13 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2014-11-24 21:34:11 UTC
Description of problem:

When running plasma-5, SSH_ASKPASS is not set.  I believe /etc/kde/env/ksshaskpass.sh needs to be moved to /etc/xdg/plasma-workspace/env/ksshaskpass.sh.  No idea about backwards compatibility.

Version-Release number of selected component (if applicable):
ksshaskpass-0.5.3-9.fc21.x86_64

Comment 1 Rex Dieter 2015-01-30 18:00:15 UTC
We can fix that up when we upgrade to kf5-ized ksshaskpass-5.2.0 (or newer)

Comment 2 Rex Dieter 2015-01-30 18:40:13 UTC
%changelog
* Fri Jan 30 2015 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-1
- ksshaskpass-5.2.0 (#1167480)


We'll see about adding this to the plasma-5 copr too

Comment 3 Loïc Yhuel 2015-10-07 09:28:45 UTC
Did this fix work ?
With ksshaskpass-5.4.2-1.fc23.x86_64, SSH_ASKPASS isn't set, so I think /etc/xdg/plasma-workspace/env/ksshaskpass.sh isn't used.

Comment 4 Rex Dieter 2015-10-07 12:05:36 UTC
fyi, builds of plasma-workspace-5.4.2 prior to plasma-workspace-5.4.2-4 had a buggy startkde script that prevented environment variables from being set properly.

Comment 5 Loïc Yhuel 2015-10-07 20:56:19 UTC
(In reply to Rex Dieter from comment #4)
Confirmed, SSH_ASKPASS is back with plasma-workspace-5.4.2-4.fc23, thanks.


Note You need to log in before you can comment on or make changes to this bug.